#!/bin/sh

SOFTWAREVERSION="1.0.0"
KERNELVERSION="3.9.1"
M3HEXVERSION="3.2.9"
LIBVERSION="1.0.1"
VERSIONCFG=version.cfg
BUILDTIME="20210101"
M3HEX=Creator4.hex
WORKDIR=$(cd `dirname $0`; pwd)
echo "[VersionInfo]" > /opt/$VERSIONCFG
echo "BuildTime="$BUILDTIME >> /opt/$VERSIONCFG
echo "SoftwareVersion="$SOFTWAREVERSION >> /opt/$VERSIONCFG
echo "LibVersion="$LIBVERSION >> /opt/$VERSIONCFG
echo "ControlVersion="$M3HEXVERSION >> /opt/$VERSIONCFG
echo "KernelVersion="$KERNELVERSION >> /opt/$VERSIONCFG

if [ ! -d /opt/mjpg-streamer ]; then
        tar -xvf $WORKDIR/mjpg-streamer.tar -C /opt/
        chmod 777 /opt/mjpg-streamer/* -Rf
        sync
        cd  /opt/software/
        softwareDir=$(ls -ld [0-9]* |awk '/^d/ {print $NF}')
        for oldSoftwareVer in $softwareDir
        do
            echo $oldSoftwareVer
        done
        cp -f /opt/software/$oldSoftwareVer/auto_run.sh   /opt/
        sync
fi


if [ -f $WORKDIR/mydaemon.out ]; then
	cp -f $WORKDIR/mydaemon.out   /opt/
	sync
fi


if [ -f $WORKDIR/$M3HEX -a -f $WORKDIR/ISPCreator4 ]; then
	HEX=$WORKDIR/$M3HEX
	chmod a+x $WORKDIR/ISPCreator4
	echo 386 > /sys/class/gpio/export
	echo "out" > /sys/class/gpio/gpio386/direction
	echo 1 > /sys/class/gpio/gpio386/value
	$WORKDIR/ISPCreator4 $WORKDIR/$M3HEX
	sync
fi

echo "UpdateFlag=1" >> /opt/$VERSIONCFG
sleep 10


reboot -f 
